Cyberduck Mountain Duck CLI

#10794 closed defect (fixed)

Connection failure at end of part upload

Reported by: sirgatez Owned by: dkocher
Priority: highest Milestone: 7.1
Component: s3 Version: 7.0.1
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: macOS 10.14

Description

I've been seeing problems attempting to upload a 1GB file to Wasabi (an S3 compatible service). That results in a connection error at the end of each part upload resulting in CyberDuck entering an infinite loop of reuploading the failed parts until retries are exhausted.

Disabling artificial throttling (within Cyberduck) appears to resolve the problem. However I don't want to saturate my network.

I even reduced multipart concurrency to a single part at a time and continued to see this behavior until I disabled throttling.

Cyberduck 7.0.2 on MacOS 10.14.6

I can provide additional detail and debug logs if needed.

Change History (7)

comment:1 Changed on Sep 6, 2019 at 4:50:46 AM by sirgatez

  • Version set to 7.0.1

I want to note that I do see similar behavior when using multiple threads without throttling as well. With as few as 2 everything looks to be working, we reach 100%, but it continues. Looking over the logs I can see a large number of parts previously uploaded which are being retried.

comment:2 Changed on Sep 6, 2019 at 8:56:53 AM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher

comment:3 Changed on Sep 6, 2019 at 8:57:33 AM by dkocher

See also #10795.

comment:4 Changed on Sep 6, 2019 at 8:57:47 AM by dkocher

  • Summary changed from Connection failure at end of part upload when using throttler with S3 Multipart uploads to Connection failure at end of part upload

comment:5 Changed on Sep 11, 2019 at 7:56:44 PM by dkocher

Do you still have this issue with version 7.1?

comment:6 Changed on Sep 12, 2019 at 3:38:13 PM by sirgatez

  • Resolution set to fixed
  • Status changed from new to closed

7.1 appears to have resolved this issue. Thank you! :-D *uploads 120GB* 😎

comment:7 Changed on Sep 12, 2019 at 6:37:59 PM by dkocher

  • Milestone set to 7.1
Note: See TracTickets for help on using tickets.
swiss made software